# std::experimental::filesystem::swap(std::experimental::filesystem::path)

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

void swap( path& lhs, path& rhs ); |  | (filesystem TS)

Exchanges the state of lhs with that of rhs. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | paths whose states to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

swap | swaps two paths (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/swap2&oldid=154891"